Retrieve projects list
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL not found"
}{
"message": "Internal Server Error"
}Projects
Retrieve projects list
List projects
GET
/
projects
Retrieve projects list
curl --request GET \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects \
--header 'x-api-key: <api-key>'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Unauthorized"
}{
"message": "Request URL not found"
}{
"message": "Internal Server Error"
}Authorizations
Query Parameters
Defaults to 20 items per page, maximum 100 items allowed.
Allowed values: cuid, name,status_id,completion_percentage
Allowed values: asc, desc
Page number. Starts from 1, defaults to 1.
Search string.
true or false. If true, in response will be included also total count
Array of attribute, operator, and value parts.
Array of attribute and order values.
array consisting of indices with the desired relation to include
Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.
Response
Successful response
Was this page helpful?